# USER SETTINGS FOR BLUE IRIS MEMORY USAGE LOGGER (POWERSHELL SCRIPT)
#
# KEY POINTS: 
#   1. This script is intended to be used by companion script 'BI_ram_logger.ps1'
#   2. This script must be located in the same folder as script 'BI_ram_logger.ps1'
#   3. This script is suitable for 'BI_ram_logger.ps1' versions V1+
#
# Created by jaydeel at ipcamtalk.com

# ================================================
# USER SETTINGS...

# REQUIRED SETTINGS

	# SET PATH FOR THE CSV LOGFILE
	# ... [string] like "C:\Blue Iris\My External Logs"
	$csv_logfile_path = "YOUR_CSV_LOG_FOLDER_PATH"
	#$csv_logfile_path = "C:\Blue Iris\My External Logs"

# OPTIONAL SETTINGS

	# SET BASENAME FOR THE CSV LOGFILE
	# ... default is 'bi_ram_log'
	# ... the final file will be named like 'ramlog_202410.csv'
	#     the date tag and fike extension are added programmatically
	$csv_logfile_basename = "bi_ram_log"

	# SET DEFAULT CSV FILE UPDATE INTERVAL
	# ... Expecting integer (default is 2)
	# ... KEY POINT: This value MUST be match 'repeat every' setting for this task 
	#     in Windows Task Scheduler
	$update_minutes = 3
	#$update_minutes = 4
	#$update_minutes = 5
	#$update_minutes = 6

# USER SETTINGS END
# ================================================
